﻿@model ColorView
@{
    ViewBag.Title = "_Color";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/Color_CSS")
@Scripts.Render("~/bundles/Color")

<!--CONTENIDOS-->
@using (Html.BeginForm("ConfirmAction", "Color", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formColor" }))
{
    <div class="">
        <!--col derecha-->
        <div class="col-md-8 col-xs-12 col_derecha">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@ViewBag.Tite</h3>
                </div>

                <div class="panel-body">
                    @Html.TextBoxFor(c => c.U_Pic, new { @Id = "U_Pic", @Name = "U_Pic", @class = "form-control", @style = "display: none" })

                    <!--col1-->
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="form-group">
                            <label class="col-md-2 control-label">@Color.IC</label>
                            <div class="col-md-10">
                                @Html.TextBoxFor(c => c.Code, new { @Id = "Code", @Name = "Code", @placeholder = Color.IC, @class = "form-control", @readonly = "readonly" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-2 control-label">@PDM.Code</label>
                            <div class="col-md-10">
                                @Html.TextBoxFor(c => c.U_ColCode, new { @Id = "U_ColCode", @Name = "U_ColCode", @placeholder = @PDM.Code, @class = "form-control" })
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-md-2 control-label">@PDM.Desc</label>
                            <div class="col-md-10">
                                @Html.TextBoxFor(c => c.U_ColDesc, new { @Id = "U_ColDesc", @Name = "U_ColDesc", @placeholder = @PDM.Desc, @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-2 control-label">@Color.Shade</label>
                            <div class="col-md-10">
                                @Html.TextBoxFor(c => c.U_Shade, new { @Id = "U_Shade", @Name = "U_Shade", @placeholder = @Color.Shade, @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-2 control-label">@Color.NRFCode</label>
                            <div class="col-md-10">
                                @Html.TextBoxFor(c => c.U_NRFCode, new { @Id = "U_NRFCode", @Name = "U_NRFCode", @placeholder = @Color.NRFCode, @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-2 control-label">Color</label>
                            <div class="col-md-10">
                                <div id="ColorPicker" class="input-group colorpicker-component">
                                    <input type="text" value="#@Model.U_ColorHex" class="form-control" />
                                    <span class="input-group-addon"><i></i></span>
                                </div>
                            </div>
                            <script>
                                $(function () {
                                    $('#ColorPicker').colorpicker({
                                        color: '#@Model.U_ColorHex',
                                        format: 'rgb',
                                        customClass: 'colorpicker-2x',
                                        sliders: {
                                            saturation: {
                                                maxLeft: 200,
                                                maxTop: 200
                                            },
                                            hue: {
                                                maxTop: 200
                                            },
                                            alpha: {
                                                maxTop: 200
                                            }
                                        }

                                    });
                                });
                            </script>
                        </div>
                        <div class="form-group">
                            <label class="col-md-2 control-label">@Color.Attribute 1</label>
                            <div class="col-md-10">
                                @Html.TextBoxFor(c => c.U_Attrib1, new { @Id = "U_Attrib1", @Name = "U_Attrib1", @placeholder = @Color.Attribute + " 1", @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-2 control-label">@Color.Attribute 2</label>
                            <div class="col-md-10">
                                @Html.TextBoxFor(c => c.U_Attrib2, new { @Id = "U_Attrib2", @Name = "U_Attrib2", @placeholder = @Color.Attribute + " 2", @class = "form-control" })
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-2 control-label">@Color.Active</label>
                            <div class="col-md-10">
                                <input type="checkbox" id="U_Active" name="U_Active" class="checkbox-inline" @(Model.U_Active == "Y" ? "checked=checked" : "")>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4 col-xs-12 col_izquierda">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@PDM.Product</h3>
                </div>
                <div class="panel-body" id="bloke2">
                    <div id="carousel" class="carousel slide" data-ride="carousel">
                        <div class="carousel-inner">
                            @{
                                if (Model.U_Pic != null)
                                {
                                    <div class="item active" data-thumb="0">
                                        <img src="/images/@Model.U_PicFile">
                                    </div>
                                }
                                else
                                {
                                    <div class="item active" data-thumb="0">
                                        <img src="/Content/img/noimage.gif">
                                    </div>
                                }
                            }


                        </div>
                    </div>
                </div>
                <div class="divider"></div>
                    <div class="panel-body">
                        <input id="UpdateFile" type="file" class="file" data-overwrite-initial="true">
                        <input type="hidden" name="fileImgUploadChange" id="fileImgUploadChange" value="false" />
                    </div>

                    <script>
                        $("#UpdateFile").fileinput({
                            uploadUrl: '#',
                            overwriteInitial: true,
                            slugCallback: function (filename) {
                                return filename.replace('(', '_').replace(']', '_');
                            }
                        });
                        $('#UpdateFile').on('change', function (event) {
                            $('#fileImgUploadChange').val(true);
                        });
                        $('#UpdateFile').on('fileselect', function (event, numFiles, label) {
                            $('#fileImgUploadChange').val(true);
                        });
                        $('#UpdateFile').on('filecleared', function (event) {
                            $('#fileImgUploadChange').val(true);
                        });
                    </script>
                </div>
        </div>
    </div>

    <div class="alert alert-success" id="UpdateCorrectly" role="alert">
        <strong>The Design was updated correctly!</strong>
    </div>

    <div class="but_blok_footer">
        <div class="col-md-12">
            <button type="submit" class="btn btn-lg btn-success pull-right">Ok</button>
            @Html.ActionLink(@Activity.Cancel, "Index", "ColorMaster", null, new { @class = "btn btn-lg btn-default pull-right" });
        </div>
    </div>

    <input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />

                                }



<style type="text/css">
    .item .thumb {
        width: 25%;
        cursor: pointer;
        float: left;
    }
    .item .thumb img {
        width: auto;
        max-height: 80px;
        display: block;
    }
</style>

